summaryrefslogtreecommitdiffstats
path: root/source/d/cmake/cmake.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/cmake/cmake.SlackBuild')
-rwxr-xr-xsource/d/cmake/cmake.SlackBuild10
1 files changed, 8 insertions, 2 deletions
diff --git a/source/d/cmake/cmake.SlackBuild b/source/d/cmake/cmake.SlackBuild
index e3e1504eb..3002e35b4 100755
--- a/source/d/cmake/cmake.SlackBuild
+++ b/source/d/cmake/cmake.SlackBuild
@@ -22,7 +22,7 @@
PKGNAM=cmake
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -58,6 +58,8 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION
+zcat $CWD/cmake.findpkgconfig.3ea850.patch.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -67,7 +69,11 @@ find . \
mkdir cmake-build
cd cmake-build
-../bootstrap
+../bootstrap \
+ --prefix=/usr \
+ --docdir=/doc/$PKGNAM-$VERSION \
+ --qt-gui \
+ --system-libs
# Build
CFLAGS="$SLKCFLAGS" \